Skip to content

List tenant policies.

Method

GET https://papi.afi.ai/api/v1/tenants/{tenant_id}/policies

Description

Retrieves policies available to the tenant. Use the limit and page_token query parameters to paginate through all policies.

Path params
tenant_id string required

ID of the tenant whose policies to list.

Query params
limit int32

Maximum number of items to return per page.

page_token string

Token from the previous list operation (`next_page_token`) used to continue listing.

name string

Optional filter by policy name.

curl -X GET \
    -H 'Authorization: {api-key}' \
    https://papi.afi.ai/api/v1/tenants/{tenant_id}/policies

Successful response (200) schema
object

PoliciesPage contains the results of listing policies.

next_page_token string

Token for the next page in the listing operation. Set this value as `page_token` in the subsequent request. Empty on the last page.

items array of objects

List of policies.

object

Policy describes a tenant policy.

id string

Policy ID.

tenant_id string

Tenant that owns the policy.

name string

Policy name.

Response example
{
  "next_page_token": "string",
  "items": [
    {
      "id": "string",
      "tenant_id": "string",
      "name": "string"
    }
  ]
}